Set a Deployment's resource metadata

  • POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/metadata/raw

Advanced use only. Sets the internal metadata, in free-form JSON, for the resource. Only use the parameter to set the modified JSON that is returned from the get version of the metadata.

Query Parameters

version string

If specified, checks for conflicts against the metadata version (returned in 'x-cloud-resource-version' of the GET request)

Request

The freeform JSON for the cluster (should always be based on the current version retrieved from the GET)

Type: string

Responses